package com.seatel.mobilehall.ui.home.viewholder

import android.view.View
import androidx.recyclerview.widget.RecyclerView
import com.seatel.mobilehall.ui.base.adapter.BaseRecyclerAdapter


abstract class BaseViewHolder<T>(itemView: View) : RecyclerView.ViewHolder(itemView) {

    abstract fun binData(baseRecyclerAdapter: BaseRecyclerAdapter<T>)

    open fun onViewRecycler() {
        itemView.setOnClickListener(null)
    }

}